org.jvnet.libpam

## Class PAMException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jvnet.libpam.PAMException

All Implemented Interfaces:
  Serializable

    public class PAMException
    extends Exception

Exception in PAM invoactions.

Author:
  Kohsuke Kawaguchi
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PAMException()`
`PAMException(String message)`
`PAMException(String message, Throwable cause)`
`PAMException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PAMException

    public PAMException()

#### PAMException

    public PAMException(String message)

#### PAMException

    public PAMException(String message,
                        Throwable cause)

#### PAMException

    public PAMException(Throwable cause)